#
# Copyright (c) 2005-2012, Ralf Corsepius, Ulm, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# Supported rpmbuild options:
#
# --with gd/--without gd 
#	enable/disable gd support
#	Default: --with (had been default in rt < 3.8.0)
%bcond_without gd 

# --with graphviz/--without graphviz
#	enable/disable graphiz support
#	Default: --without (missing deps)
%bcond_with graphviz

# --with devel_mode/--without devel_mode
#	enable/disable building/installing devel files
#	Default: --with
%bcond_without devel_mode

# --with gpg/--without gpg
#	enable/disable building gpg support
#	Default: --without
%bcond_with gpg

# --with runtests
#	run testsuite when building the rpm
#	Default: without (doesn't work in chroots.)
%bcond_with runtests

%global RT3_BINDIR		%{_sbindir}
%global RT3_LIBDIR		%{perl_vendorlib}
%global RT3_WWWDIR		%{_datadir}/rt3/html
%global RT3_LEXDIR		%{_datadir}/rt3/po
%global RT3_LOGDIR		%{_localstatedir}/log/rt3
%global RT3_CACHEDIR		%{_localstatedir}/cache/rt3
%global RT3_LOCALSTATEDIR	%{_localstatedir}/lib/rt3

Name:		rt3
Version:	3.8.15
Release:	2%{?dist}
Summary:	Request tracker 3

Group:		Applications/Internet
License:	GPLv2+
URL:		http://www.bestpractical.com/rt
Source0:	http://www.bestpractical.com/pub/rt/release/rt-%{version}.tar.gz
Source1:        README.tests
Source3:	rt3.conf.in
Source4:	README.fedora.in
Source5:	rt3.logrotate.in

Patch0:		rt-3.8.11-config.diff
Patch1:		rt-3.8.11-shebang.diff
Patch2:		rt-3.8.11-Makefile.diff
Patch3:		rt-3.8.11-test-dependencies.diff

BuildArch:	noarch

# For Debian compatibility
Provides:	request-tracker3 = %{version}-%{release}

# This list is alpha sorted
BuildRequires: perl(Apache::DBI)
BuildRequires: perl(Apache::Session) >= 1.53
BuildRequires: perl(Cache::Simple::TimedExpiry)
BuildRequires: perl(Calendar::Simple)
BuildRequires: perl(CGI::Cookie) >= 1.20
BuildRequires: perl(Class::ReturnValue) >= 0.40
BuildRequires: perl(CPAN)
BuildRequires: perl(CSS::Squish) >= 0.06
BuildRequires: perl(Data::ICal)
BuildRequires: perl(Date::Format)
BuildRequires: perl(DBD::mysql) >= 2.1018
BuildRequires: perl(DBI) >= 1.37
BuildRequires: perl(DBIx::SearchBuilder) >= 1.54
BuildRequires: perl(Devel::StackTrace) >= 1.19
BuildRequires: perl(Digest::base)
BuildRequires: perl(Digest::MD5) >= 2.27
BuildRequires: perl(Email::Address)
BuildRequires: perl(Encode) >= 2.21
BuildRequires: perl(Errno)
%{?with_devel_mode:BuildRequires: perl(File::Find)}
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Spec) >= 0.8
BuildRequires: perl(File::Temp) >= 0.19
%{?with_gd:BuildRequires: perl(GD)}
%{?with_gd:BuildRequires: perl(GD::Graph)}
%{?with_gd:BuildRequires: perl(GD::Text)}
%{?with_gpg:BuildRequires: perl(GnuPG::Interface)}
%{?with_graphviz:BuildRequires: perl(GraphViz)}
BuildRequires: perl(Getopt::Long) >= 2.24
BuildRequires: perl(HTML::Entities)
%{?with_devel_mode:BuildRequires: perl(HTML::Form)}
BuildRequires: perl(HTML::FormatText)
BuildRequires: perl(HTML::Mason) >= 1.36
BuildRequires: perl(HTML::RewriteAttributes) >= 0.02
BuildRequires: perl(HTML::Scrubber) >= 0.08
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Server::Simple) >= 0.34
BuildRequires: perl(HTTP::Server::Simple::Mason) >= 0.09
%{?with_graphviz:BuildRequires: perl(IPC::Run)}
%{?with_devel_mode:BuildRequires: perl(IPC::Run3)}
%{?with_graphviz:BuildRequires: perl(IPC::Run::SafeHandles)}
BuildRequires: perl(Locale::Maketext) >= 1.06
BuildRequires: perl(Locale::Maketext::Fuzzy)
BuildRequires: perl(Locale::Maketext::Lexicon) >= 0.32
BuildRequires: perl(Log::Dispatch) >= 2.0
%{?with_devel_mode:BuildRequires: perl(Log::Dispatch::Perl)}
BuildRequires: perl(LWP)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Mail::Mailer) >= 1.57
BuildRequires: perl(MIME::Entity) >= 5.425
BuildRequires: perl(MIME::Types)
%{?with_devel_mode:BuildRequires: perl(Module::Refresh) >= 0.03}
BuildRequires: perl(Module::Versions::Report) >= 1.05
BuildRequires: perl(Net::Server)
BuildRequires: perl(Net::Server::PreFork)
BuildRequires: perl(Net::SMTP)
%{?with_gpg:BuildRequires: perl(PerlIO::eol)}
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable) >= 2.08
%{?with_devel_mode:BuildRequires: perl(String::ShellQuote)}
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Term::ReadLine)
%{?with_devel_mode:BuildRequires: perl(Test::Builder) >= 0.77}
%{?with_devel_mode:BuildRequires: perl(Test::Deep)}
%{?with_devel_mode:BuildRequires: perl(Test::Expect) >= 0.31}
%{?with_devel_mode:BuildRequires: perl(Test::HTTP::Server::Simple) >= 0.09}
%{?with_devel_mode:BuildRequires: perl(Test::HTTP::Server::Simple::StashWarnings)}
%{?with_devel_mode:BuildRequires: perl(Test::MockTime)}
%{?with_devel_mode:BuildRequires: perl(Test::Warn)}
%{?with_devel_mode:BuildRequires: perl(Test::WWW::Mechanize)}
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Text::Quoted) >= 2.02
BuildRequires: perl(Text::Template)
BuildRequires: perl(Text::WikiFormat) >= 0.76
BuildRequires: perl(Text::Wrapper)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Time::ParseDate)
BuildRequires: perl(Tree::Simple) >= 1.04
BuildRequires: perl(UNIVERSAL::require)
%{?with_devel_mode:BuildRequires: perl(WWW::Mechanize)}
BuildRequires: perl(XML::RSS) >= 1.05
%{?with_devel_mode:BuildRequires: perl(XML::Simple)}

%{?with_runtests:BuildRequires: perl(DBD::SQLite)}
%{?with_runtests:BuildRequires: perl(DBD::mysql)}
%{?with_runtests:BuildRequires: perl(DBD::Pg)}
%{?with_runtests:BuildRequires: perl(Log::Dispatch::Perl)}
%{?with_runtests:BuildRequires: perl(Test::WWW::Mechanize)}
%{?with_runtests:BuildRequires: perl(Test::Expect)}

BuildRequires:	/usr/bin/pod2man
BuildRequires:	/usr/sbin/apachectl

# the original sources carry bundled versions of these ...
Requires:  /usr/share/fonts/google-droid/DroidSansFallback.ttf
Requires:  /usr/share/fonts/google-droid/DroidSans.ttf
# ... we use symlinks to the system-wide versions ...
BuildRequires:  /usr/share/fonts/google-droid/DroidSansFallback.ttf
BuildRequires:  /usr/share/fonts/google-droid/DroidSans.ttf

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Requires(postun): %{__rm}

# rpm doesn't catch these:
Requires: perl(Apache::Session)
Requires: perl(Calendar::Simple)
Requires: perl(Data::ICal)
Requires: perl(Data::ICal::Entry::Event)
Requires: perl(Email::Address)
Requires: perl(File::Find)
%{?with_gd:Requires: perl(GD::Text)}
%{?with_gd:Requires: perl(GD::Graph::bars)}
%{?with_gd:Requires: perl(GD::Graph::pie)}
%{?with_gpg: Requires: perl(GnuPG::Interface)}
Requires: perl(I18N::LangTags::List)
Requires: perl(Locale::Maketext::Fuzzy)
Requires: perl(LWP::MediaTypes)
Requires: perl(mod_perl2)
Requires: perl(Module::Versions::Report)
Requires: perl(Text::Quoted)
Requires: perl(Text::WikiFormat)
Requires: perl(URI::URL)
Requires: perl(XML::RSS)

# rpm fails to add these:
Provides: perl(RT::Shredder::Exceptions)
Provides: perl(RT::Shredder::Record)
Provides: perl(RT::Shredder::Transaction)
Provides: perl(RT::Tickets_Overlay_SQL)

# Split out. Technically, not actually necessary, but ... let's keep it for now.
Requires: rt3-mailgate

# Keep SpamAssassin optional
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Mail::SpamAssassin\\)
# Keep FCGI optional
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(FCGI::ProcManager\\)
# Filter bogus requires
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(\\)
# Work-around rpm's depgenerator defect: 
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(DBIx::SearchBuilder::Handle::\\)

# Filter redundant provides
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(RT\\)$
# Filter bogus provides
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(HTML::Mason
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(IO::Handle::CRLF\\)$


%description
RT is an enterprise-grade ticketing system which enables a group of people
to intelligently and efficiently manage tasks, issues, and requests submitted
by a community of users.


%package mailgate
Summary: rt3's mailgate utility.
Group:   Applications/Internet
# rpm doesn't catch these:
Requires:	perl(Pod::Usage)
Requires:	perl(HTML::TreeBuilder)
Requires:	perl(HTML::FormatText)

%description mailgate
%{summary}


%if %{with devel_mode}
%package tests
Summary:	Test suite for package rt3
Group:		Development/Debug
Requires:	%{name} = %{version}-%{release}
Requires:	/usr/bin/prove
Requires(postun): %{__rm}
Requires:	perl(DBD::SQLite)  
Requires:	perl(GnuPG::Interface)  
Requires:	perl(PerlIO::eol)  
Requires:	perl(strict)  
Requires:	perl(Test::HTTP::Server::Simple::StashWarnings)  

%description tests
%{summary}

%postun tests
if [ $1 -eq 0 ]; then
  %{__rm} -rf %{perl_testdir}/%{name}
fi


%package -n perl-RT-Test
Summary: rt3's test utility module
Group:   Applications/Internet
Requires:	rt3 = %{version}-%{release}
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Log::Dispatch::Perl)

%description -n perl-RT-Test
%{summary}

%endif # devel_mode

%prep
%setup -q -n rt-%{version}

sed -e 's,@RT3_CACHEDIR@,%{RT3_CACHEDIR},' %{SOURCE4} \
  > README.fedora
sed -e 's,@RT3_LOGDIR@,%{RT3_LOGDIR},' %{SOURCE5} \
  > rt3.logrotate

# Fixup the tarball shipping with broken permissions
find \( -type f -a -executable \) -exec chmod a-x {} \;
chmod +x configure install-sh

# Upstream tarball contains temporary autotools-files
rm -rf autom4te.cache config.log config.status

# Upstream tarball contains configure-time generated files
find bin sbin etc -name '*.in' | while read a; do d=$(echo "$a" | sed 's,\.in$,,'); rm "$d"; done

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Propagate rpm's directories to config.layout
cat << \EOF >> config.layout

#   Fedora directory layout.
<Layout Fedora>
  bindir:		%{RT3_BINDIR}
  sysconfdir:		%{_sysconfdir}/rt3
  libdir:		%{RT3_LIBDIR}
  manualdir:		%{_defaultdocdir}/%{name}-%{version}
  lexdir:		%{RT3_LEXDIR}
  localstatedir:	%{RT3_LOCALSTATEDIR}
  htmldir:		%{RT3_WWWDIR}
  fontdir:		%{_datadir}/rt3/fonts
  logfiledir:		%{RT3_LOGDIR}
  masonstatedir:	%{RT3_CACHEDIR}/mason_data
  sessionstatedir:	%{RT3_CACHEDIR}/session_data
  customdir:		%{_prefix}/local/lib/rt3
  custometcdir:		%{_prefix}/local/etc/rt3
  customhtmldir:	${customdir}/html
  customlexdir:		${customdir}/po
  customlibdir:		${customdir}/lib
</Layout>
EOF

# Comment out the Makefile trying to change groups/owners
# Fix DESTDIR support
sed -i \
	-e 's,	chgrp,	: chrgp,g' \
	-e 's,	chown,	: chown,g' \
	-e 's,$(DESTDIR)/,$(DESTDIR),g' \
	-e 's,-o $(BIN_OWNER) -g $(RTGROUP),,g' \
Makefile.in

# Fix up broken shebangs
sed -i \
 -e "s,^#!/usr/bin/env perl,#!%{__perl}," \
 -e "s,^#!/opt/perl/bin/perl,#!%{__perl}," \
t/*/*.t sbin/rt-message-catalog t/shredder/utils.pl

# Make scripts executable
find t \( -name '*.t' -o -name '*.pl' \) -exec chmod +x {} \;

%build
%configure \
--with-apachectl=/usr/sbin/apachectl \
--with-web-user=apache --with-web-group=apache \
--with-db-type=mysql \
--enable-layout=Fedora \
--with-web-handler=modperl2 \
--libdir=%{RT3_LIBDIR} \
%{?with_graphviz:--enable-graphviz}%{!?with_graphviz:--disable-graphviz} \
%{?with_gd:--enable-gd}%{!?with_gd:--disable-gd} \
%{?with_gpg:--enable-gpg}%{!?with_gpg:--disable-gpg}

make %{?_smp_mflags}

# Explicitly check for devel-mode deps
%{?with_devel_mode:%{__perl} ./sbin/rt-test-dependencies --verbose --with-mysql --with-modperl2 --with-dev}

# Generate man-pages
/usr/bin/pod2man bin/rt-mailgate > bin/rt-mailgate.1
# no pod: /usr/bin/pod2man bin/rt > bin/rt.1
/usr/bin/pod2man bin/fastcgi_server > bin/fastcgi_server.1
# no pod: /usr/bin/pod2man bin/mason_handler.fcgi > bin/mason_handler.fcgi.1
# no pod: /usr/bin/pod2man sbin/rt-attributes-viewer > sbin/rt-attributes-viewer.1
/usr/bin/pod2man sbin/rt-clean-sessions > sbin/rt-clean-sessions.1
/usr/bin/pod2man bin/rt-crontool > bin/rt-crontool.1
# no pod: /usr/bin/pod2man /sbin/rt-dump-database
/usr/bin/pod2man sbin/rt-email-dashboards > sbin/rt-email-dashboards.1
/usr/bin/pod2man sbin/rt-email-digest > sbin/rt-email-digest.1
/usr/bin/pod2man sbin/rt-email-group-admin > sbin/rt-email-group-admin.1
# /usr/bin/pod2man sbin/rt-server > sbin/rt-server.1
/usr/bin/pod2man sbin/rt-setup-database > sbin/rt-setup-database.1
/usr/bin/pod2man sbin/rt-shredder > sbin/rt-shredder.1
# no pod: /usr/bin/pod2man sbin/rt-validator > sbin/rt-validator.1
# no pod: /usr/bin/pod2man sbin/standalone_httpd > sbin/standalone_httpd.1
# no pod: /usr/bin/pod2man sbin/webmux.pl > sbin/webmux.pl.1


%install
make install DESTDIR=${RPM_BUILD_ROOT}

# Cleanup the mess rt's configuration leaves behind
rm -f ${RPM_BUILD_ROOT}%{_docdir}/README

# Win32 stuff
rm -f ${RPM_BUILD_ROOT}%{RT3_BINDIR}/mason_handler.svc

# We don't want CPAN
rm -f ${RPM_BUILD_ROOT}%{_sbindir}/rt-test-dependencies

# Bogus
rm -f ${RPM_BUILD_ROOT}%{RT3_LIBDIR}/RT.pm.in

# Unsupported
rm -f ${RPM_BUILD_ROOT}%{RT3_BINDIR}/*.scgi

# Install apache configuration
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d
sed -e 's,@RT3_WWWDIR@,%{RT3_WWWDIR},g' \
  -e 's,@RT3_BINDIR@,%{RT3_BINDIR},g' \
  %{SOURCE3} > ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/rt3.conf

# Install man pages
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
for file in bin/*.1 sbin/*.1; do
install -m 0644 $file ${RPM_BUILD_ROOT}%{_mandir}/man1
done

if [ "%{_bindir}" != "%{RT3_BINDIR}" ]; then
  mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
  mv ${RPM_BUILD_ROOT}%{RT3_BINDIR}/rt \
    ${RPM_BUILD_ROOT}%{_bindir}
fi

install -d -m755 ${RPM_BUILD_ROOT}%{_prefix}/local/etc/rt3
install -d -m755 ${RPM_BUILD_ROOT}%{_prefix}/local/lib/rt3
install -d -m755 ${RPM_BUILD_ROOT}%{_prefix}/local/lib/rt3/html
install -d -m755 ${RPM_BUILD_ROOT}%{_prefix}/local/lib/rt3/po
install -d -m755 ${RPM_BUILD_ROOT}%{_prefix}/local/lib/rt3/lib

install -d -m755 ${RPM_BUILD_ROOT}%{RT3_LOGDIR}

# install log rotation stuff
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
install -m 644 rt3.logrotate ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/rt3

install -d -m755 ${RPM_BUILD_ROOT}%{RT3_LOCALSTATEDIR}

install -d -m755 ${RPM_BUILD_ROOT}%{_sysconfdir}/rt3/upgrade
cp -R etc/upgrade/* ${RPM_BUILD_ROOT}%{_sysconfdir}/rt3/upgrade
rm -f ${RPM_BUILD_ROOT}%{_sysconfdir}/rt3/upgrade/*.in

install -d -m755 ${RPM_BUILD_ROOT}%{_datadir}/rt3/fonts
ln -s /usr/share/fonts/google-droid/DroidSans.ttf ${RPM_BUILD_ROOT}%{_datadir}/rt3/fonts
ln -s /usr/share/fonts/google-droid/DroidSansFallback.ttf ${RPM_BUILD_ROOT}%{_datadir}/rt3/fonts

install -d -m755 ${RPM_BUILD_ROOT}%{perl_testdir}/%{name}
cp -R t ${RPM_BUILD_ROOT}%{perl_testdir}/%{name}
cp %{SOURCE1} ${RPM_BUILD_ROOT}%{perl_testdir}/%{name}

# pod.t can't be run outside of the source-tree
rm -rf ${RPM_BUILD_ROOT}%{perl_testdir}/%{name}/t/pod.t

# Some of the tests want t/../share/html
install -d -m755 ${RPM_BUILD_ROOT}%{perl_testdir}/%{name}/share
ln -s %{RT3_WWWDIR} ${RPM_BUILD_ROOT}%{perl_testdir}/%{name}/share/html

# Fix permissions
find ${RPM_BUILD_ROOT}%{RT3_WWWDIR} \
  -type f -exec chmod a-x {} \;

%check
# The tests don't work in buildroots, they
# - require to be run as root
# - require an operational rt3 system
%{?with_runtests:make test}

%postun
if [ $1 -eq 0 ]; then
  %{__rm} -rf %{RT3_CACHEDIR}
fi


%files
%defattr(-,root,root,-)
%doc COPYING README UPGRADING UPGRADING.mysql README.fedora
%{_bindir}/*
%{_sbindir}/*
%exclude %{_sbindir}/rt-mailgate
%{_mandir}/man1/*
%exclude %{_mandir}/man1/rt-mailgate*
%{RT3_LIBDIR}/*
%exclude %{RT3_LIBDIR}/RT/Test*
%attr(0700,apache,apache) %{RT3_LOGDIR}

%dir %{_sysconfdir}/rt3
%attr(-,root,root)%{_sysconfdir}/rt3/upgrade
%attr(-,root,root)%{_sysconfdir}/rt3/acl*
%attr(-,root,root)%{_sysconfdir}/rt3/schema*
%attr(-,root,root)%{_sysconfdir}/rt3/init*
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/rt3/RT_*

%config(noreplace) %{_sysconfdir}/logrotate.d/rt3

%dir %{_datadir}/rt3
%{RT3_WWWDIR}
%{_datadir}/rt3/fonts

%config(noreplace) %{_sysconfdir}/httpd/conf.d/rt3.conf

%dir %{RT3_CACHEDIR}
%attr(0770,apache,apache) %{RT3_CACHEDIR}/mason_data
%attr(0770,apache,apache) %{RT3_CACHEDIR}/session_data

%if "%{RT3_LOCALSTATEDIR}" != "%{RT3_CACHEDIR}"
%dir %{RT3_LOCALSTATEDIR}
%endif

%ghost %{_prefix}/local/lib/rt3
%ghost %{_prefix}/local/etc/rt3

%files mailgate
%defattr(-,root,root,-)
%doc COPYING
%{_sbindir}/rt-mailgate
%{_mandir}/man1/rt-mailgate*

%if %{with devel_mode}
%files tests
%defattr(-,root,root,-)
%{perl_testdir}/%{name}

%files -n perl-RT-Test
%defattr(-,root,root,-)
%dir %{RT3_LIBDIR}/RT
%{RT3_LIBDIR}/RT/Test*
%endif

%changelog
* Sat Dec 22 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.15-2
- Update README.fedora to use systemctl instead of /sbin/service.
- Rework man-page processing.
- Fix up *.spec changelog dates (Fix f19 FTBFS).

* Sun Oct 28 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.15-1
- Upstream update (RH BZ 870407, CVE-2012-4730, CVE-2012-4732,
  CVE-2012-4734, CVE-2012-4735, CVE-2012-4884).

* Sat Oct 06 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.14-1
- Upstream update.

* Sat Jun 02 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.13-1
- Upstream update.

* Tue May 22 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.12-1
- Upstream update.
- Address various CVEs (BZ 824082).

* Thu Feb 02 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.11-7
- Fix shebangs.
- Make testsuite files executable (enables rpm's perl module dep tracking).
- Build *-tests, iff devel_mode was given.
- Misc. specfile massaging.

* Tue Jan 31 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.11-6
- Misc. specfile improvements.

* Tue Jan 31 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.11-5
- Rewrite *-tests package (Don't use tests macros).

* Mon Jan 30 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.11-4
- Rename rpmbuild option with_tests into with_runtests.
- Add rt3-tests subpackage.
- Add README.tests.
- Remove removal of ${RT3_LIBDIR}/t (Fixed by upstream).
- Rework R:/BR:.
- Use %%{__rm} instead of /bin/rm.
- Misc minor spec file cleanup.

* Wed Jan 18 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.11-3
- Fix typo in filter rules.
- Add lexdir, manualdir, RT3_LEXDIR.

* Mon Jan 16 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.11-2
- Remove redundant R: config(rt3), Remove P: config(rt3).
- Rewrite filter rules.

* Sun Jan 15 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.11-1
- Upstream update.

* Tue Jan 10 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.10-5
- Fix broken dependency filtering having been added in *-4.
- Spec file cleanup.

* Mon Jul 25 2011 Petr Pisar <ppisar@redhat.com> - 3.8.10-4
- RPM 4.9 dependency filtering added

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 3.8.10-3
- Perl mass rebuild

* Sat Apr 16 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.10-2
- Work-around rpm's depgenerator defect: 
  Filter Requires: perl(DBIx::SearchBuilder::Handle::).

* Sat Apr 16 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.10-1
- Upstream update.
- Rebase patches.
- Spec cleanup.

* Thu Feb 17 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.9-1
- Upstream update (CVE-2011-0009, BZ 672257).
- Rebase patches.
- Switch to using perl-filters
  (Work around broken deps caused by rpm dep-tracker changes).
- Spec file overhaul.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 08 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.8-3
- Add COPYING to rt3-mailgate.

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 3.8.8-2
- Mass rebuild with perl-5.12.0

* Fri May 07 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.8-1
- Upstream update.
- Add %%{_datadir}/rt3/fonts
- Use system-wide google-droid-fonts instead of bundled 
  Droid fonts.
- Add rt-3.8.8-Makefile.diff.
- Remove rt-3.8.6-Makefile.diff.
- Add rt-3.8.8-config.diff.
- Remove rt-3.8.4-config.diff
- Misc. spec file massaging.

* Mon Mar 22 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.7-2
- Make building --without devel_mode working (BZ 575780).

* Mon Dec 14 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.7-1
- Upstream update.
- Add UPGRADING.mysql, perl(Text::Quoted), R: perl(Text::WikiFormat)
  (BZ #546786; Thanks to Dale Bewley <dale@fedoraproject.org>)

* Fri Dec 04 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.6-1
- Upstream update.
- Remove rt-3.8.4-Makefile.diff, rt-3.8.4-test-dependencies.diff, 
  rt-3.8.4-rh-bz543962.diff.
- Add rt-3.8.6-Makefile.diff, rt-3.8.6-test-dependencies.diff

* Fri Dec 04 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.5-2
- Add rt-3.8.4-rh-bz543962.diff (BZ #543962).

* Mon Oct 12 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.5-1
- Upstream update.
- Remove rt-3.8.4-rh-bz526870.diff.

* Mon Oct 12 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.4-5
- Bump Release:.

* Mon Oct 12 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.4-4
- Add rt-3.8.4-rh-bz526870.diff (BZ #526870).

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 24 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.4-2
- Add R: perl(Data::ICal), R: perl(Data::ICal::Entry::Event) (BZ #507965).

* Fri Jun 19 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.4-1
- Upstream update.
- Rebase patches against 3.8.4.
- Abandon rt-3.4.1-I18N.diff.

* Fri Apr 24 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.2-7
- README.fedora.in: Add --dba root to rt-setup-database (BZ #488621).
- R: perl(XML::RSS) (BZ #496720).

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.2-5
- Add R: perl(Class::Accessor::Fast), perl(Exception::Class::Base),
  perl(HTML::Mason::Request), perl(Net::Server::PreFork).

* Thu Feb 05 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.2-4
- Stop filtering perl(Test::Email).
- Add perl(:MODULE_COMPAT ...) to perl-RT-Test.

* Sat Jan 24 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.2-3
- Fix date in changelog entry.

* Sat Jan 24 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.2-2
- Filter out R: perl(Test::Email).
- Add perl-RT-Test package.
- Activate --with devel_mode.
- Don't pass --enable/disable-devel-mode to configure.
- Add Explicit check for devel-mode deps.

* Fri Jan 23 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.2-1
- Upstream update.
- Preps to add a perl-RT-Test package.

* Sun Nov 30 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.1-2
- Fix rt3-mailgate's %%defattr(-,root,root,-).

* Wed Oct 01 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.1-1
- 1st rawhide release.

* Tue Sep 23 2008 Ralf Corsépius <corsepiu@fedoraproject.org>
- Add Provides for perl-deps rpm doesn't catch.
- Treat Spamassassin optional

* Tue Sep 23 2008 Ralf Corsépius <corsepiu@fedoraproject.org>
- Don't package %%{_sysconfdir}/rt3/upgrade/*.in
- Cleanup Requires, __perl_requires, __perl_provides.

* Tue Sep 23 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.8.1-0
- First try at public release.
- Completely rework the spec.
- Upstream update.

* Thu Jun 26 2008 Ralf Corsépius <rc040203@freenet.de> - 3.6.7-1
- Upstream update.
- Add --with-testdeps.

* Wed Mar 26 2008 Ralf Corsépius <rc040203@freenet.de> - 3.6.6-5
- Install rt3.logrotate to /etc/logrotate.d.

* Mon Mar 17 2008 Ralf Corsépius <rc040203@freenet.de> - 3.6.6-4
- Add %%{_sysconfdir}/logrotate.d/rt3 (BZ 437100)
- Let RT3_LOGDIR be owned by user apache (BZ 437100).

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 3.6.6-3
- Rebuild for new perl

* Mon Feb 04 2008 Ralf Corsépius <rc040203@freenet.de> - 3.6.6-2
- R: perl(CSS::Squish).

* Sun Feb 03 2008 Ralf Corsépius <rc040203@freenet.de> - 3.6.6-1
- Upstream update.

* Wed Oct 17 2007 Ralf Corsépius <rc040203@freenet.de> - 3.6.5-1
- Upstream update.
- Split-out rt-mailgate in to rt3-mailgate (BZ 332731).

* Tue Sep 04 2007 Ralf Corsépius <rc040203@freenet.de> - 3.6.4-1
- Upstream update.

* Tue Sep 04 2007 Ralf Corsépius <rc040203@freenet.de> - 3.6.3-2
- Update license tag.

* Fri Dec 29 2006 Ralf Corsépius <rc040203@freenet.de> - 3.6.3-1
- Upstream update.
- Add perl(GD::*) deps.

* Thu Sep 07 2006 Ralf Corsépius <rc040203@freenet.de> - 3.6.1-3
- Extend /etc/RT_SiteConfig.pm (jpo, BZ 202374)

* Wed Sep 06 2006 Ralf Corsépius <rc040203@freenet.de> - 3.6.1-2
- Mass rebuild.

* Sun Aug 13 2006 Ralf Corsépius <rc040203@freenet.de> - 3.6.1-1
- Upstream update.

* Sat Jul 22 2006 Ralf Corsépius <rc040203@freenet.de> - 3.6.0-4
- Install etc/upgrade to %%{_sysconfdir}/rt3/upgrade.
- Add rt-3.6.0-Makefile.diff.

* Wed Jul 19 2006 Ralf Corsépius <rc040203@freenet.de> - 3.6.0-3
- Move /var/www/rt3 to %%{_datadir}/rt3/html

* Fri Jun 23 2006 Ralf Corsépius <rc040203@freenet.de> - 3.6.0-2
- Require perl(Calendar::Simple).

* Fri Jun 23 2006 Ralf Corsépius <rc040203@freenet.de> - 3.6.0-1
- Upstream update.

* Sun Jan 15 2006 Ralf Corsépius <rc040203@freenet.de> - 3.4.5-1
- Upstream update.

* Wed Dec 07 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-11
- Require perl(HTML::FormatText), perl(HTML::TreeBuilder) (#175176).

* Fri Nov 04 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-10
- Inline rt3-filter-provides.sh, rt3-filter-requires.sh into spec.

* Sat Oct 29 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-9
- Remove "Requires(post): /usr/bin/chcon".
- Add "Requires: perl(:MODULE_COMPAT...)".

* Fri Oct 28 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-8
- Fix typo in setting up localstatedir.
- Own %%{RT3_CACHEDIR}.

* Mon Oct 24 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-7
- Apply patch from Chris Grau to README.fedora.
- Move mason_data, session_data to /var/cache/rt3.
- Install %%{RT3_LOGDIR}.
- Replace README.fedora with README.fedora.in

* Thu Oct 13 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-6
- Remove RT3_USER, RT3_GROUP.

* Thu Oct 13 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-5
- Add Requires: perl(HTML::Mason), perl(HTTP::Server::Simple::Mason).
- Add README.fedora.
- Pass libdir to configure to silence rpmlint.
- Remove %%{_localstatedir}/lib/rt3 upon last package removal.

* Fri Oct 07 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-4
- Fix urls in spec file.

* Tue Sep 27 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-3
- Spec file cosmetics.

* Mon Sep 26 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-2
- FE submission.

* Sun Sep 25 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-1.4
- Install perl modules into %%perlvendorlib.

* Fri Sep 23 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-1.3
- Shift customdir to %%{_prefix}/local/lib/rt3 and %%{_prefix}/local/etc/rt3.
- %%ghost %%{_prefix}/local/lib/rt3 and %%{_prefix}/local/etc/rt3.
- install BIN files to %%{_sbindir}.

* Fri Sep 23 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-1.2
- Use %%RT3_WWWDIR, %%_sbindir, %%_bindir in config.layout.

* Sat Sep 17 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-1.1
- Reflect feedback from Chris Grau.
- Remove SpeedyCGI support.

* Fri Sep 16 2005 Ralf Corsépius <rc040203@freenet.de> - 3.4.4-1
- FE submission candidate.
